## visad
Interface RemoteDisplay

All Superinterfaces:
  Action, Display, EventListener, Remote, ThingChangedListener

All Known Implementing Classes:
  RemoteDisplayImpl

public interface RemoteDisplay
extends Remote, Display

RemoteDisplay is the interface for Remote Display-s.

Field Summary

Fields inherited from interface visad.Display

`AdjustProjectionSeam, Alpha, Animation, Blue, CMY, ColorMode, components3c, components3s, componentscmy, componentscyl, componentsflow1, componentsflow1s, componentsflow2, componentsflow2s, componentshsv, componentsrgb, componentsso, CurvedSize, Cyan, CylAzimuth, CylRadius, CylZAxis, DisplayCMYCoordSys, DisplayCMYTuple, DisplayCylindricalCoordSys, DisplayFlow1SphericalCoordSys, DisplayFlow1SphericalTuple, DisplayFlow1Tuple, DisplayFlow2SphericalCoordSys, DisplayFlow2SphericalTuple, DisplayFlow2Tuple, DisplayHSVCoordSys, DisplayHSVTuple, DisplayRealArray, DisplayRGBTuple, DisplaySpatialCartesianTuple, DisplaySpatialCylindricalTuple, DisplaySpatialOffsetTuple, DisplaySpatialSphericalTuple, DisplaySphericalCoordSys, Flow1Azimuth, Flow1Elevation, Flow1Radial, Flow1X, Flow1Y, Flow1Z, Flow2Azimuth, Flow2Elevation, Flow2Radial, Flow2X, Flow2Y, Flow2Z, Green, HSV, Hue, IsoContour, Latitude, LineStyle, LineWidth, List, Longitude, Magenta, MissingTransparent, PointSize, PolygonMode, PolygonOffset, PolygonOffsetFactor, Radius, Red, RGB, RGBA, Saturation, SelectRange, SelectValue, Shape, ShapeScale, Text, Texture3DMode, TextureEnable, Value, XAxis, XAxisOffset, YAxis, YAxisOffset, Yellow, ZAxis, ZAxisOffset`

Method Summary
`Vector` `getConstantMapVector()`
`int` `getDisplayAPI()`
`String` `getDisplayClassName()`
`String` `getDisplayRendererClassName()`
`DisplaySync` `getDisplaySync()`
`GraphicsModeControl` `getGraphicsModeControl()`
`Vector` `getMapVector()`
`String` `getName()`
`Vector` `getReferenceLinks()`
`RemoteDisplayMonitor` `getRemoteDisplayMonitor()`
`RemoteDisplaySync` `getRemoteDisplaySync()`
`void` `sendMouseEvent(MouseEvent e)`

Methods inherited from interface visad.Display
`addMap, addReference, addReferences, addSlave, clearMaps, destroy, hasSlaves, removeAllSlaves, removeMap, removeSlave, sendMessage`

Methods inherited from interface visad.Action
`addReference, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Method Detail

### getName

    public String getName()
                   throws VisADException,
                          RemoteException

  Specified by:
    `getName` in interface `Action`
  Returns:
    String name of this Action
  Throws:
    `VisADException`
    `RemoteException`

### getDisplayClassName

    public String getDisplayClassName()
                               throws RemoteException

  Throws:
    `RemoteException`

### getDisplayAPI

    public int getDisplayAPI()
                      throws VisADException,
                             RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getDisplayRendererClassName

    public String getDisplayRendererClassName()
                                       throws RemoteException

  Throws:
    `RemoteException`

### getMapVector

    public Vector getMapVector()
                        throws VisADException,
                               RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getConstantMapVector

    public Vector getConstantMapVector()
                                throws VisADException,
                                       RemoteException

  Specified by:
    `getConstantMapVector` in interface `Display`
  Returns:
    Vector of linked ConstantMaps
  Throws:
    `VisADException`
    `RemoteException`

### getGraphicsModeControl

    public GraphicsModeControl getGraphicsModeControl()
                                               throws VisADException,
                                                      RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getReferenceLinks

    public Vector getReferenceLinks()
                             throws VisADException,
                                    RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getRemoteDisplayMonitor

    public RemoteDisplayMonitor getRemoteDisplayMonitor()
                                                 throws RemoteException

  Throws:
    `RemoteException`

### getDisplaySync

    public DisplaySync getDisplaySync()
                               throws RemoteException

  Throws:
    `RemoteException`

### getRemoteDisplaySync

    public RemoteDisplaySync getRemoteDisplaySync()
                                           throws RemoteException

  Throws:
    `RemoteException`

### sendMouseEvent

    public void sendMouseEvent(MouseEvent e)
                        throws VisADException,
                               RemoteException

  Throws:
    `VisADException`
    `RemoteException`